
.window {
    margin-top: -113px;
}

.container {
    width: 100%;
    height: 100%;

    background: #191a1a;
    --gap: 5em;
    --line: 1px;
    --color: rgba(255, 255, 255, 0.2);

    background-image: linear-gradient(-90deg,
            transparent calc(var(--gap) - var(--line)),
            var(--color) calc(var(--gap) - var(--line) + 1px),
            var(--color) var(--gap)),
        linear-gradient(0deg,
            transparent calc(var(--gap) - var(--line)),
            var(--color) calc(var(--gap) - var(--line) + 1px),
            var(--color) var(--gap));
    background-size: var(--gap) var(--gap);
}

.animated-button {
    position: relative;
    /* display: flex; */
    align-items: center;
    gap: 4px;
    padding: 8px 30px;
    border: 4px solid;
    border-color: transparent;
    font-size: 16px;
    background-color: inherit;
    border-radius: 100px;
    font-weight: 600;
    color: greenyellow;
    box-shadow: 0 0 0 2px greenyellow;
    cursor: pointer;
    overflow: hidden;
    transition: all 0.6s cubic-bezier(0.23, 1, 0.32, 1);
}

.animated-button svg {
    position: absolute;
    width: 24px;
    fill: greenyellow;
    z-index: 9;
    transition: all 0.8s cubic-bezier(0.23, 1, 0.32, 1);
}

.animated-button .arr-1 {
    right: 16px;
}

.animated-button .arr-2 {
    left: -25%;
}

.animated-button .circle {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    width: 20px;
    height: 20px;
    background-color: greenyellow;
    /*border-radius: 50%;*/
    opacity: 0;
    transition: all 0.8s cubic-bezier(0.23, 1, 0.32, 1);
}

.animated-button .text {
    position: relative;
    z-index: 1;
    transform: translateX(-12px);
    transition: all 0.8s cubic-bezier(0.23, 1, 0.32, 1);
}

.animated-button:hover {
    box-shadow: 0 0 0 5px;
    border-color: linear-gradient(112.2deg, rgb(0, 204, 255) -1.1%, rgb(0, 221, 61) 100.7%);
    color: #00f719;
    /*border-radius: 10%;*/
}

.animated-button:hover .arr-1 {
    right: -25%;
}

.animated-button:hover .arr-2 {
    left: 16px;
}

.animated-button:hover .text {
    transform: translateX(12px);
}

.animated-button:hover svg {
    fill: #212121;
}

.animated-button:active {
    scale: 0.95;
    box-shadow: 0 0 0 4px greenyellow;
}

.animated-button:hover .circle {
    width: 220px;
    height: 220px;
    opacity: 1;
}

.circle {
    width: 100%;
    height: 30px;
    filter: blur(2rem);
    animation: pulse_3011 4s infinite;
    z-index: -1;
}



.circle:nth-of-type(2) {
    background: rgb(248, 2, 113);
}


@keyframes pulse_3011 {
    0% {
        transform: scale(0.75);
        box-shadow: 0 0 0 0 rgba(248, 245, 245, 0.7);
    }

    70% {
        transform: scale(1);
        box-shadow: 0 0 0 10px rgb(4, 2, 11);
    }

    100% {
        transform: scale(0.75);
        box-shadow: 0 0 0 0 rgb(167, 0, 0);
    }
}

@media screen and (min-width: 340px) and (max-width: 450px) {
    #divison {
        max-width: 24rem;
        /* background-color: #0044ff; */
        border-radius: 20px;
    }
}

/*//LOGO ANIMATION*/

  @keyframes spinClockwise {
            0% {
                transform: rotate(0deg);
            }
            50% {
                transform: rotate(360deg);
            }
            50.01% {
                transform: rotate(360deg);
            }
            100% {
                transform: rotate(0deg);
            }
        }

        @keyframes spinCounterClockwise {
            0% {
                transform: rotate(0deg);
            }
            50% {
                transform: rotate(-360deg);
            }
            50.01% {
                transform: rotate(-360deg);
            }
            100% {
                transform: rotate(0deg);
            }
        }

        .bouncing-logo {
            display: inline-block;
            animation: bounce 1s infinite, spinSequence 4s infinite;
        }

        @keyframes bounce {
            0%, 100% {
                transform: translateY(0);
            }
            50% {
                transform: translateY(-20px);
            }
        }

        @keyframes spinSequence {
            0% {
                transform: rotate(0deg);
            }
            25% {
                transform: rotate(360deg);
            }
            50% {
                transform: rotate(360deg);
            }
            75% {
                transform: rotate(-360deg);
            }
            100% {
                transform: rotate(-360deg);
            }
        }

